Public Member Functions | Public Attributes | Private Types | List of all members
libpagemaker::LengthUnit< PER_INCH > Class Template Reference

`#include <Units.h>`

## Public Member Functions
| LengthUnit (int value)
double | toInches () const

## Public Attributes
int | m_value

## Private Types
typedef LengthUnit< PER_INCH > | T

## Member Typedef Documentation

## ◆ T

template<unsigned PER_INCH>

typedef LengthUnit<PER_INCH> libpagemaker::LengthUnit< PER_INCH >::T
| private

## Constructor & Destructor Documentation

## ◆ LengthUnit()

template<unsigned PER_INCH>

libpagemaker::LengthUnit< PER_INCH >::LengthUnit | ( | int | value | ) |
| inline

## Member Function Documentation

## ◆ toInches()

template<unsigned PER_INCH>

double libpagemaker::LengthUnit< PER_INCH >::toInches | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ m_value

template<unsigned PER_INCH>

int libpagemaker::LengthUnit< PER_INCH >::m_value

Referenced by libpagemaker::operator*(), libpagemaker::operator+(), and libpagemaker::operator-().

The documentation for this class was generated from the following file:

- Units.h